Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class Control

    java.lang.Object
      |
      +--javax.sound.sampled.Control

Direct Known Subclasses:
  BooleanControl, CompoundControl, EnumControl, FloatControl

public abstract class Control
extends Object

`Lines` often have a set of controls, such as gain and pan, that affect the audio signal passing through the line. Java Sound's `Line` objects let you obtain a particular control object by passing its class as the argument to a `getControl` method.

Because the various types of controls have different purposes and features, all of their functionality is accessed from the subclasses that define each kind of control.

Since:
  1.3
See Also:
  `Line.getControls()`, `Line.isControlSupported(javax.sound.sampled.Control.Type)`

Nested Class Summary
`static class` | `Control.Type` An instance of the `Type` class represents the type of the control.

Constructor Summary
`protected` | `Control(Control.Type type)` Constructs a Control with the specified type.

Method Summary
`Control.Type` | `getType()` Obtains the control's type.
`String` | `toString()` Obtains a String describing the control type and its current state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Control

    protected Control(Control.Type type)

  Constructs a Control with the specified type.

Parameters:
  `type` - the kind of control desired

Method Detail

### getType

    public Control.Type getType()

  Obtains the control's type.

  Returns:
    the control's type.

### toString

    public String toString()

  Obtains a String describing the control type and its current state.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of the Control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.